package com.xintong.visualinspection.service;

import java.util.List;
import java.util.Map;

import com.xintong.visualinspection.bean.CheckRule;
import com.xintong.visualinspection.bean.Constant;

/**
 * 
 *
 * ConstantService
 * 
 * tiger
 * tiger
 * 2017年5月4日 上午10:41:40
 * 
 * @version 1.0.0
 *
 */
public interface CheckRuleService {
    public List<CheckRule> getAll();
    public List<CheckRule> getAllAndCountItem(CheckRule checkRule);
    public CheckRule getById(Long id);
    public CheckRule getListById(Long id);
    public List<CheckRule> getByName(String name);
    public void insert(CheckRule checkRule);
    public void update(CheckRule checkRule);
    public void delete(Long id);
    public CheckRule getItemListByRuleType(Map<String,String> param);
}
